R_GET_INET_ADDR_FROM_HOST(3)

FUNCTION
r_get_inet_addr_from_host - Get the first listed Internet address of a hostname.

SYNOPSIS
#include <karma_r.h>

unsigned long r_get_inet_addr_from_host

(CONST char *host, flag *local)

DESCRIPTION
Get the first listed Internet address of a hostname.

host
    The hostname.

local
    If the specified host is the local machine, then the routine will write the value TRUE here, else it will write the value FALSE here. If this is NULL, nothing is written here.

RETURN VALUE
The Internet address on success (in host byte order), else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/